:root {
    --slanted-width: calc(50% + 5vw);
    --slanted-width-expanded: calc(var(--slanted-width) + 20%);
    --slanted-width-minimized: calc(var(--slanted-width) - 20%);
}

.hero-switcher-buttons {
    gap: 0;
    max-height: none;
    height: 100vh;
    top: 0;
    margin: 0;
}

.hero-switcher-buttons>.wp-block-cover {
    width: var(--slanted-width);
    position: absolute;
    height: 100%;
    z-index: 1;
    transition: width 0.1s, height 0.1s, scale 0.1s, z-index 0s linear 0.1s; /* z-index verzögert */
    overflow: hidden;
}

.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__image-background {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.hero-switcher-buttons>.wp-block-cover:hover {
    width: calc(var(--slanted-width) + 5%);
    z-index: 3;
    transition-delay: 0.1s, 0.1s, 0.1s, 0.1s;
    
}

.hero-switcher-buttons>.wp-block-cover.expand {
    width: var(--slanted-width-expanded);
    z-index: 3;
}




.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__inner-container {
    position: absolute;
    height: 100%;
    padding-left: 0 !important;
    padding-right: 0 !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
    width: 100%;
    display: grid;
    align-items: center;
}

.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__inner-container>.wp-block-buttons {
    width: 100%;
    height: 100%;
}

.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button {
    width: 100%;
    height: 100%;
    max-width: none;
}

.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button>.wp-block-button__link {
    opacity: 0%;
    width: 100%;
    height: 100%;
    border-radius: 0;
    left: 0;
    color: transparent;
}

.hero-switcher-buttons>.wp-block-cover>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button>.wp-block-button__link:hover {
    transition: .5s ease-in-out;
}

.panel-one {
    clip-path: polygon(0% 0%, 100% 0%, calc(100% - 10vw) 100%, 0% 100%);
    left: 0;
}

.panel-two {
    clip-path: polygon(10vw 0%, 100% 0%, 100% 100%, 0% 100%);
    right: 0;
}

.shortened-icon {
    opacity: 1;
    /*display: grid !important;*/
    margin: 0;
    position: absolute;
    align-content: center;
    justify-content: center;
    transition: opacity .25s ease-in-out;
    height: 50%;
    width: 100%;
    text-align: center;
    place-self: anchor-center;
    padding: 0 10vw;
}

.panel-one>.wp-block-cover__inner-container>.shortened-icon {
    height: 60%;
}

.panel-two>.wp-block-cover__inner-container>.shortened-icon {
    height: 50%;
}

.panel-one>.wp-block-cover__inner-container {
    left: 0;
}

.panel-one>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button>.wp-block-button__link {
    
}

.panel-two>.wp-block-cover__inner-container {
    right: 0;
}

.panel-two>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button>.wp-block-button__link {
    
}

.shortened-icon img {
    margin-bottom: 0 !important;
    height: inherit;
}

.shortened-icon.expand {
    opacity: 0;
}

.big-icon {
    opacity: 0;
    /*display: grid !important;*/
    margin: 0;
    position: absolute;
    align-content: center;
    justify-content: center;
    transition: opacity .25s ease-in-out;
    height: 90%;
    width: 90%;
    text-align: center;
    place-self: anchor-center;
    padding: 0 10vw;
}

.big-icon img {
    margin-bottom: 0 !important;
    height: inherit;
}

.big-icon.expand {
    opacity: 1;
}

.subpage-hero>.page-panel>.wp-block-cover__inner-container>.wp-block-buttons>.wp-block-button>.wp-block-button__link {
    pointer-events: none !important;
}

.subpage-hero>.page-panel {
    width: var(--slanted-width-expanded);
    z-index: 0;
}

.subpage-hero>.page-panel>.wp-block-cover__inner-container>.shortened-icon {
    opacity: 0;
}

.subpage-hero>.page-panel>.wp-block-cover__inner-container>.big-icon {
    opacity: 1;
}

.subpage-hero>.page-panel:hover {
    width: var(--slanted-width-expanded);
    /*transition: .5s ease-in-out;*/
}

.subpage-hero>.other-page-panel {
    width: var(--slanted-width-minimized);
    z-index: 3;
}

.subpage-hero>.panel-one>.wp-block-cover__inner-container>.shortened-icon {
    height: 50%;
}

.subpage-hero>.panel-two>.wp-block-cover__inner-container>.shortened-icon {
    height: 30%;
}

:root {
  --vh: 1vh;
}

@media (max-width: 768px) {
  .hero-switcher-buttons {
    height: calc(var(--vh, 1vh) * 100);
  }
}